from pandera import DataFrameSchema, Column, Index

TemplateSchema = DataFrameSchema(
    {
        "Route": Column("str", nullable=True, required=True),
        "PlaceOfLoad": Column("str", nullable=False, required=True),
        "PlaceOfUnload": Column("str", nullable=False, required=True),
        "DeliveryMethod": Column("str", nullable=False, required=True),
        "RouteDeparture": Column("str", nullable=True, required=False),
        "DepartureDays": Column("str", nullable=False, required=True),
        "ForwardingAgent": Column("str", nullable=False, required=True),
        "LeadTime": Column("Int8", nullable=False, required=True),
        "LeadTimeOffset": Column("Int8", nullable=True, required=False),
        "TransportationEquipment": Column("str", nullable=True, required=False),
        "DaysToDeadline": Column("str", nullable=True, required=False),
        "DeadlineHours": Column("str", nullable=True, required=True),
        "DeadlineMinutes": Column("str", nullable=True, required=False),
        "PickCutOffDays": Column("Int8", nullable=True, required=False),
        "PickCutOffTimeHours": Column("Int8", nullable=True, required=False),
        "PickCutOffTimeMinutes": Column("Int8", nullable=True, required=False),
        "StipulatedInternalLeadTimeHours": Column("str", nullable=True, required=False),
        "StipulatedInternalLeadTimeDays": Column("str", nullable=True, required=False),
        "StipulatedInternalLeadTimeMinutes": Column("str", nullable=True, required=False),
        "ForwardersArrivalLeadTimeDays": Column("str", nullable=True, required=False),
        "ForwardersArrivalLeadTimeHours": Column("str", nullable=True, required=False),
        "ForwardersArrivalLeadTimeMinutes": Column("str", nullable=True, required=False),
        "TimeOfDepartureHours": Column("str", nullable=True, required=False),
        "TimeOfDepartureMinutes": Column("str", nullable=True, required=False),
        "TimeOfArrivalHoursLocalTime": Column("str", nullable=True, required=False),
        "TimeOfArrivalMinutesLocalTime": Column("str", nullable=True, required=False),
        "RouteResponsible": Column("str", nullable=True, required=False),
        "DepartureResponsible": Column("str", nullable=True, required=False),
        "CustomsDeclaration": Column("Int8", nullable=True, required=False),
        "AvoidConfirmedDeliveryOnWeekends": Column("Int8", nullable=True, required=False),
        "CreateSmartSheets": Column("Int8", nullable=True, required=False),
        "Comment": Column("str", nullable=True, required=False)
    },
    index=Index(int),
    strict=True,
    coerce=True
)